UbuntuUpdates.org

Package "totem"

This package belongs to a PPA: Gnome 3

Name: totem

Description:

Simple media player for the GNOME desktop based on GStreamer
Totem is a simple yet featureful media player for GNOME which can read
a large number of file formats. It features :

* Shoutcast, m3u, asx, SMIL and ra playlists support
* DVD (with menus), VCD and Digital CD (with CDDB) playback
* TV-Out configuration with optional resolution switching
* 4.0, 5.0, 5.1 and stereo audio output
* Full-screen mode (move your mouse and you get nice controls) with
Xinerama, dual-head and RandR support
* Aspect ratio toggling, scaling based on the video's original size
* Full keyboard control
* Simple playlist with repeat mode and saving feature
* GNOME, Nautilus and GIO integration
* Screenshot of the current movie
* Brightness and Contrast control
* Visualisation plugin when playing audio-only files
* Video thumbnailer for nautilus
* Nautilus properties page
* Works on remote displays
* DVD, VCD and OGG/OGM subtitles with automatic language selection
* Extensible with plugins

Latest version: 3.4.3-0ubuntu1~precise1
Release: precise (12.04)
Level: base
Repository: main

Links

Save this URL for the latest version of "totem": https://www.ubuntuupdates.org/totem


Download "totem"


Other versions of "totem" in Precise

Repository Area Version
base universe 3.0.1-0ubuntu21
base main 3.0.1-0ubuntu21
updates universe 3.0.1-0ubuntu21.1
updates main 3.0.1-0ubuntu21.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 3.4.3-0ubuntu1~precise1 2012-07-05 09:08:17 UTC

 totem (3.4.3-0ubuntu1~precise1) precise; urgency=low
 .
   * Copied from quantal

Source diff to previous version

Version: 3.4.2-1ubuntu3~precise1 2012-06-16 13:15:09 UTC

 totem (3.4.2-1ubuntu3~precise1) precise; urgency=low
 .
   * Copied from quantal

Source diff to previous version

Version: 3.4.2-1ubuntu2~ubuntu12.04.1 2012-06-01 10:08:17 UTC

 totem (3.4.2-1ubuntu2~ubuntu12.04.1) precise; urgency=low
 .
   * No-change backport to precise
 .
 totem (3.4.2-1ubuntu2) quantal; urgency=low
 .
   * debian/rules:
     - Disable Vegas "Flash subsitute" plugin as it breaks Flash on
       some websites
 .
 totem (3.4.2-1ubuntu1) quantal; urgency=low
 .
   * Merge with Debian. Remaining changes:
   * debian/control.in:
     - Drop build-depends on libepc-ui-dev and libgrilo-0.1-dev
     - Build-depend on libzeitgeist-dev
     - Suggest rather than recommend gstreamer components in universe
     - Add totem-plugins-extra for the components which have depends in universe
     - Add XB-Npp-Description and XB-Npp-Filename header to the
       totem-mozilla package to improve ubufox/ubuntu plugin db integration
     - Refer to Firefox in totem-mozilla description instead of Iceweasel
     - Don't have totem-mozilla recommend any particular browser
   * debian/totem-common.install, debian/source_totem.py:
     - Install Ubuntu apport debugging hook
   * debian/totem-plugins-extra.install:
     - Plugins split out of totem-plugins
   * debian/totem-plugins.install:
     - Simplify the install list and exclude the plugins split to -extra
   * debian/totem-common.gsettings-override:
     - Enable the youtube and zeitgeist plugins by default
   * debian/patches/01_fake_keypresses.patch:
     - dropped it's an old workaround and should not be required
   * debian/patches/91_quicklist_entries.patch:
     - Add static quicklist
   * debian/patches/correct_desktop_mimetypes.patch:
     - Don't list the mimetypes after the unity lists
   * Dropped Ubuntu patches:
     - 03_default_options.patch: Moved to gsettings override instead
     - youtube-api-gdata9.patch: In new totem release
     - 04_port_to_gobject.patch: In new totem release
     - 90_fix_save_playlist.patch: In new totem release
     - git_commandfix_incorrect_free.patch: In new totem release
     - git_tracks_language.patch: In new totem release
     - git_remote_option_parsing.patch: In new totem release
 .
 totem (3.4.2-1) experimental; urgency=low
 .
   [ Michael Biebl ]
   * Remove coherence plugin leftovers. It doesn't look like this plugin is
     coming back.
 .
   [ Josselin Mouette ]
   * 02_revert_clutter.patch: un-clutter totem. Revert to the good old
     XVideo code. It is less elegant, but works on many more systems.
   * Update build-dependencies accordingly.
   * Use dh-autoreconf.
   * Build-depend on gtk-doc-tools for autoreconf.
   * totem-plugins.install: remove rotation plugin.
   * Drop useless build-dependency on libmusicbrainz.
 .
   [ Andreas Henriksson ]
   * New upstream release.
   * No longer try to install dropped bemused and youtube plugins.
   * Bump GTK+ build-dependency to >= 3.3.6 as required by configure script.
     - could possibly be reverted, when reverting changes to make below apply.
   * Disable d/p/02_revert_clutter.patch for now, doesn't apply against 3.4.0.
   * Temporarily add build-dependencies needed because of above:
     - libclutter-gst-dev, libclutter-gtk-1.0-dev
 .
   [ Michael Biebl ]
   * Drop obsolete Build-Depends on libirman-dev. Closes: #672401
   * Bump Standards-Version to 3.9.3.
   * Drop Build-Depends on libcam-dev, no longer required to build on kfreebsd.
     Closes: #659622
   * Install rotation plugin since we are building with Clutter support.
 .
 totem (3.2.1-2) experimental; urgency=low
 .
   * Lower Build-Depends on libgdata-dev so we build against the version from
     unstable, the same version grilo-plugins was built against. This avoids a
     crash when trying to enable the youtube plugin. Closes: #651554
 .
 totem (3.2.1-1) experimental; urgency=low
 .
   [ Sjoerd Simons ]
   * New upstream release
   * debian/control.in: Update build-depends
   * debian/rules: Enable vala plugins
   * debian/totem-plugins.install:
     - Add grilo and rotation plugins
     - Remove jamendo, thumbnail and tracker plugins
 .
   [ Michael Biebl ]
   * debian/control.in:
     - Bump Depends on python-gobject to (>= 2.90.3).
 .
   [ Josselin Mouette ]
   * Replace python-gobject dependencies by python-gi.
 .
 totem (3.0.1-8) unstable; urgency=low
 .
   * Build against tracker 0.14.
 .
 totem (3.0.1-7) unstable; urgency=low
 .
   * Drop useless build-dependency on libmusicbrainz4-dev. Closes: #657013
 .
 totem (3.0.1-6) unstable; urgency=low
 .
   [ Michael Biebl ]
   * Remove coherence plugin leftovers. This plugin is gone for good.
 .
   [ Josselin Mouette ]
   * 03_gdata_0.9.patch: stolen from upstream git. Port totem to libgdata
     0.9.
 .
 totem (3.0.1-5) unstable; urgency=low
 .
   [ Jeremy Bicha ]
   * debian/patches/04_port_to_gobject.patch:
     Use the new pygobject, fixes all Python plugins. Closes: #649755
   * debian/patches/90_fix_save_playlist.patch:
     Git patch to fix broken save plugin button. Closes: #647305
 .
   [ Michael Biebl ]
   * Replace python-gobject dependencies by python-gi.
   * Change section of gir1.2-totem-1.0 to introspection.
 .
 totem (3.0.1-4) unstable; urgency=low
 .
   * Build against tracker 0.12. Closes: #643941
     - Add debian/patches/02_tracker_0.12.patch.
     - Use dh-autoreconf to update the build system.
     - Add Build-Depends on gtk-doc-tools, required by autoreconf.
 .
 totem (3.0.1-3) unstable; urgency=low
 .
   [ Josselin Mouette ]
   * Drop useless gst-alsa | gst-audiosink dependency; recommend
     gst-pulseaudio instead.
 .
   [ Michael Biebl ]
   * Upload to unstable.
   * debian/control.in:
     - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
     - Add Vcs-* fields.
   * debian/watch:
     - Switch to .xz tarballs.
 .
 totem (3.0.1-2) experimental; urgency=low
 .
   [ Josselin Mouette ]
   * Add missing dependency on python-beautifulsoup. Closes: #630095.
 .
   [ Michael Biebl ]
   * Move .gir file into libtotem-dev package. Closes: #635451
   * Switch to dh_python2. Closes: #637280
 .
 totem (3.0.1-1) experimental; urgency=low
 .
   [ Sebastien Ba

Source diff to previous version
672401 totem: please drop obsolete build-dependency on libirman-dev - Debian Bug report logs
659622 gratuitous Build-Depends on libcam-dev - Debian Bug report logs
651554 totem-plugins: totem segfault in gdata via grilo - Debian Bug report logs
657013 totem: Please drop build-dep on libmusicbrainz4-dev from the sid/wheezy version - Debian Bug report logs
649755 totem: Python plugins still not working - Debian Bug report logs
647305 totem: cannot save playlists - Debian Bug report logs
643941 Please add support for tracker-0.12 - Debian Bug report logs
630095 totem-plugins: missing dependancy on python-python-beautifulsoup breaks iplayer plugin - Debian Bug report logs
635451 libtotem-dev does not ship Totem gir file - Debian Bug report logs
637280 totem: please replace deprecated python-support with dh_python2 - Debian Bug report logs
629536 totem: /usr/share/thumbnailers/totem.thumbnailer is missing - Debian Bug report logs
561934 [totem] can't install totem development headers - Debian Bug report logs

Version: 3.4.2-1ubuntu1~precise1 2012-05-31 21:08:29 UTC

 totem (3.4.2-1ubuntu1~precise1) precise; urgency=low
 .
   * Copied from quantal

Source diff to previous version

Version: 3.4.1-0ubuntu1~precise1 2012-04-18 08:08:43 UTC

 totem (3.4.1-0ubuntu1~precise1) precise; urgency=low
 .
   * New upstream release




About   -   Send Feedback to @ubuntu_updates